Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162945 - vgdisplay core dumps
Summary: vgdisplay core dumps
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-11 19:19 UTC by John DeFranco
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-05 17:08:43 UTC


Attachments (Terms of Use)

Description John DeFranco 2005-07-11 19:19:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
vgdisplay core dumped with the following stack:

GNU gdb Red Hat Linux (6.3.0.0-0.31rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and 
you are
welcome to change it and/or distribute copies of it under certain 
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for 
details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib64/tls/libthread_db.so.1".

Core was generated by `vgdisplay'.
Program terminated with signal 7, Bus error.
Reading symbols from /lib64/libdevmapper.so.1.01...(no debugging 
symbols found).
..done.
Loaded symbols for /lib64/libdevmapper.so.1.01
Reading symbols from /usr/lib64/libreadline.so.4...(no debugging 
symbols found).
..done.
Loaded symbols for /usr/lib64/libreadline.so.4
Reading symbols from /lib64/libselinux.so.1...
(no debugging symbols found)...done.
Loaded symbols for /lib64/libselinux.so.1
Reading symbols from /lib64/libdl.so.2...(no debugging symbols 
found)...done.
Using host libthread_db library "/lib64/tls/libthread_db.so.1".

Core was generated by `vgdisplay'.
Program terminated with signal 7, Bus error.
Reading symbols from /lib64/libdevmapper.so.1.01...(no debugging 
symbols found).
..done.
Loaded symbols for /lib64/libdevmapper.so.1.01
Reading symbols from /usr/lib64/libreadline.so.4...(no debugging 
symbols found).
..done.
Loaded symbols for /usr/lib64/libreadline.so.4
Reading symbols from /lib64/libselinux.so.1...
(no debugging symbols found)...done.
Loaded symbols for /lib64/libselinux.so.1
Reading symbols from /lib64/libdl.so.2...(no debugging symbols 
found)...done.
Loaded symbols for /lib64/libdl.so.2
Reading symbols from /usr/lib64/libncurses.so.5...done.
Loaded symbols for /usr/lib64/libncurses.so.5
Reading symbols from /lib64/tls/libc.so.6...done.
Loaded symbols for /lib64/tls/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2

#0  0x0000000000422940 in write_config_file ()







Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.There is not a reliable way to reproduce this in a standalone mode. We are running tests to qualify our product and use lvm2 vg's. Rarely this core dump occurs.
2.
3.
  

Additional info:

Comment 1 Alasdair Kergon 2005-08-08 16:48:38 UTC
Please say:

  Exactly which version  (run 'lvm version')

  Install the lvm2-debuginfo RPM corresponding to the version of lvm2 you have,
and run gdb again with the core file and then do 'bt' at the gdb prompt.




Note You need to log in before you can comment on or make changes to this bug.